[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# TServiceType

Type of service (Windows only)

## Declaration

Source position: daemonapp.pp line 142

`type TServiceType = (`
`stWin32,` |  | Regular win32 service
`stDevice,` |  | Device driver
`stFileSystem` |  | File system driver
`);`

## Description

The type of service. This type is used on windows only, to signal the operating system what kind of service is being installed or run.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.